%define real_name Crypt-RC5

Summary:	Crypt-RC5 module for perl 
Name:		perl-%{real_name}
Version:	2.00
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module is a perl implementation of the RC5 encryption algorithm.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Crypt/RC5.pm
%{_mandir}/*/*


%changelog
* Tue Sep 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.00-1mdv2007.0
- rebuild

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.00-1mdk
- initial Mandriva package 
